package com.ssyf.module.robot.service;

import com.github.pagehelper.PageInfo;
import com.ssyf.module.robot.domain.entity.RRobotGroup;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ssyf.module.robot.domain.query.RRobotGroupQuery;

import java.util.List;

/**
* @author ELSA
* @description 针对表【r_robot_group(机器人分组表)】的数据库操作Service
* @createDate 2025-12-12 10:19:24
*/
public interface RRobotGroupService extends IService<RRobotGroup> {
    /**
     * 创建分组
     * @param query
     * @return
     */
    RRobotGroup addOne(RRobotGroupQuery query);

    /**
     * 删除指定分组
     * @param uid
     */
    void removeByUid(String uid);
    void removeBatchByUids(List<String> uids);
    /**
     * 更新指定分组
     * @param uid
     * @param query
     */
    void updateByUid(String uid, RRobotGroupQuery query);

    /**
     * 获取指定分组
     * @param uid
     * @return
     */
    RRobotGroup getOneByUid(String uid);

    /**
     * 分页获取数据
     * @param query
     * @return
     */
    PageInfo<RRobotGroup> getPage(RRobotGroupQuery query);

    /**
     * 获取数据
     * @param query
     * @return
     */
    List<RRobotGroup> getList(RRobotGroupQuery query);

    RRobotGroup checkedExistAndGet(String uid);

    /**
     * 总数统计
     * @param query
     * @return
     */
    Integer countBy(RRobotGroupQuery query);
}
